package com.ruoyi.manage.service;

import java.util.List;
import com.ruoyi.manage.domain.BaseAreaUser;

/**
 * 机场区域用户绑定Service接口
 * 
 * @author wangh
 * @date 2024-01-25
 */
public interface IBaseAreaUserService 
{
    /**
     * 查询机场区域用户绑定
     * 
     * @param objid 机场区域用户绑定主键
     * @return 机场区域用户绑定
     */
    public BaseAreaUser selectBaseAreaUserByObjid(Long objid);

    /**
     * 查询机场区域用户绑定列表
     * 
     * @param baseAreaUser 机场区域用户绑定
     * @return 机场区域用户绑定集合
     */
    public List<BaseAreaUser> selectBaseAreaUserList(BaseAreaUser baseAreaUser);

    /**
     * 新增机场区域用户绑定
     * 
     * @param baseAreaUser 机场区域用户绑定
     * @return 结果
     */
    public int insertBaseAreaUser(BaseAreaUser baseAreaUser);

    /**
     * 修改机场区域用户绑定
     * 
     * @param baseAreaUser 机场区域用户绑定
     * @return 结果
     */
    public int updateBaseAreaUser(BaseAreaUser baseAreaUser);

    /**
     * 批量删除机场区域用户绑定
     * 
     * @param objids 需要删除的机场区域用户绑定主键集合
     * @return 结果
     */
    public int deleteBaseAreaUserByObjids(String objids);

    /**
     * 删除机场区域用户绑定信息
     * 
     * @param objid 机场区域用户绑定主键
     * @return 结果
     */
    public int deleteBaseAreaUserByObjid(Long objid);
}
